/*!
 * Custom elements for Nanopore-Digital Web applications
 */
import { proxyCustomElement, HTMLElement } from '@stencil/core/internal/client';

const avatarCss = ":host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}:host,*,*::before,*::after{box-sizing:border-box}[hidden]{display:none !important}@media (prefers-reduced-motion: reduce){:host,*,*::before,*::after{animation-duration:0.01ms !important;animation-iteration-count:1 !important;transition-duration:0.01ms !important;scroll-behavior:auto !important}}";

const NanoAvatar = /*@__PURE__*/ proxyCustomElement(class NanoAvatar extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    /** Initials to use as when no image is available (1–2 characters max recommended). */
    initials;
    static get style() { return avatarCss; }
}, [0, "nano-avatar", {
        "initials": [513]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["nano-avatar"];
    components.forEach(tagName => { switch (tagName) {
        case "nano-avatar":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, NanoAvatar);
            }
            break;
    } });
}

export { NanoAvatar as N, defineCustomElement as d };
